.\" Copyright (c) 2010  Peter Pentchev
.\" All rights reserved.
.\"
.\" Permission is hereby granted, free of charge, to any person obtaining a copy
.\" of this software and associated documentation files (the "Software"), to deal
.\" in the Software without restriction, including without limitation the rights
.\" to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
.\" copies of the Software, and to permit persons to whom the Software is
.\" furnished to do so, subject to the following conditions:
.\"
.\" The above copyright notice and this permission notice shall be included in
.\" all copies or substantial portions of the Software.
.\"
.\" THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
.\" IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
.\" FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
.\" AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
.\" LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
.\" OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
.\" THE SOFTWARE.
.\"
.Dd September 20, 2010
.Dt ASCIIPORTAL 1
.Os
.Sh NAME
.Nm asciiportal
.Nd a puzzle jump'n'run adventure game
.Sh SYNOPSIS
.Nm
.Op Fl d | Fl r Ar res
.Op Fl f | Fl w
.Op Fl m Ar mappackname
.Nm
.Fl ?
.Sh DESCRIPTION
Grab your hand-held portal device and enter the test chambers for a
non-euclidean good time.
.Pp
.Nm
is a text based puzzle game inspired by the popular video game.
In
.Nm
you overcome challenges by placing portal way-points, joining two points
in the map.
If the player or any object passes through one portal way-point it will
seamlessly exit the other.
Since both way-points are the same point on the map the player's view through
the portal reflects this and space warps around you as you pass through
the portal.
.Pp
Options:
.Bl -tag -width indent
.It Fl d
80x24 character graphics window.
.It Fl f
Full-screen operation.
.It Fl m
Load a map pack (see below for the search path).
.It Fl r
Specify the graphics resolution (one of 640x480, 800x600, or 1024x768).
.It Fl w
Windowed operation.
.El
.Sh FILES
When a map pack is specified using the
.Fl m
command-line option,
.Nm
will first try to load maps from a directory with that exact name.
If that fails, the name will be assumed to signify a subdirectory of
.Pa /usr/share/asciiportal ,
where several ready-made map packs bundled with the
.Nm
distribution are installed.
.Sh SEE ALSO
The
.Nm
web site,
.Pa http://cymonsgames.com/asciiportal/
.Sh AUTHOR
The
.Nm
game was developed by
.An Joe Larson .
This manual page was written by
.An Peter Pentchev
for Debian GNU/Linux.
